DEFINITION MODULE IOpack;

FROM SYSTEM IMPORT ADDRESS;

EXPORT QUALIFIED pack, unpack;

PROCEDURE unpack(	(* given the address of a packed struct, unpack it *)
	packedAddr: ADDRESS;		(* the PACKED structure *)
	unpackedAddr: ADDRESS)	(* where to put the unpacked structure *)
;


PROCEDURE pack(	(* given the address of a packed struct, pack it *)
	unpackedAddr: ADDRESS;		(* the UNPACKED structure *)
	packedAddr: ADDRESS)	(* where to put the packed structure *)
;


END IOpack.

